#!/bin/sh
# install script for camdrv
# Created by Enomoto Sanshiro on 13 April 1999.
# Last updated by Enomoto Sanshiro on 13 April 1999.

# usage install.sh /mnt/software/pelLib/camac-drivers/c111at/c111at-drv.ko c111a 

module=$1
device=$2
major=26
mode=666

echo Installing module for CAMAC
echo module location: ${module}
echo device name: ${device}
echo major: ${major}
echo access mode: ${mode}

# install module #
/sbin/insmod ${module}

# remove old node #
/bin/rm -f /dev/$device*

# make new node #
/bin/mknod /dev/${device}  c ${major} 2
/bin/mknod /dev/${device}0 c ${major} 0
/bin/mknod /dev/${device}1 c ${major} 1

# change access mode #
/bin/chmod ${mode} /dev/$device*

