/*!\class TContainer
\author Alexandre A. P. Suaide 
*/
#ifndef TContainer_HH
#define TContainer_HH
#include "TObject.h"
#include "TList.h"
#define MAXTRASHSIZE 100

class TContainer : public TObject
{
  private:    
    TList            *mTrash;
    int              mSize;
                
  public:
                     TContainer();
    virtual         ~TContainer();
    
    void             empty(); 
    void             purge();
    void             remove(char*); 
    void             remove(TObject*); 
    void             add(TObject*); 
    
    TList*           getList()         { return mTrash;}
    int              getSize()         { return mTrash->GetSize();}
    int              getSizeMax()      { return mSize;}    
    TObject*         get(char*);
    
    void             setSizeMax(int a) { mSize = a;}
   
  ClassDef(TContainer,1)
};

#endif
