int cc_handle;
#include <errno.h> 
#include <fcntl.h>
#include <stdio.h> 
#include <signal.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>

#define CCRESET      16
#define CCREAD16     17
#define CCREAD24     18
#define CCREADV16    19
#define CCWRITE16    20
#define CCWRITE24    21
#define CCDMAI16     22
#define CCWAITLAM    23
#define CCREADEVNT   24
#define CCMAXSIZE    25
#define CCGETLOST    27
#define CCLOADEH     26
#define CCGETLOST    27
#define CCSETCRATE   28
#define CCGETUSED    29
#define CCGETBUF     30
#define CCLOADEHPLUS 31

#define NAFGEN(n,a,f) (((f << 0x05) | n) | (a << 0x0A))
#include <time.h>
void cami16(int N, int A, int F, int *D, int *Q, int *X)
{
  int arg, QX;
  int ierr,cmd;
  
  arg  = NAFGEN(N,A,F);
  
  ierr = ioctl (cc_handle, CCREAD16, (unsigned long) arg);
  QX = read (cc_handle, D, 2);
  *Q=(QX&0x0001);
  *X=(QX&0x0002)>1;
}

void cami24(int N, int A, int F, int *D, int *Q, int *X)
{
  int arg, QX;
  int ierr,cmd;
  
  arg  = NAFGEN(N,A,F);
  
  ierr = ioctl (cc_handle, CCREAD24, (unsigned long) arg);
  QX = read (cc_handle, D, 4);
  *Q=(QX&0x0001);
  *X=(QX&0x0002)>1;
}

void camo16(int N, int A, int F, int *D, int *Q, int *X)
{
  int arg, QX;
  int ierr,cmd;
  
  arg  = NAFGEN(N,A,F);
  
  ierr = ioctl (cc_handle, CCWRITE16, (unsigned long) arg);
  arg=*D;
  QX = write (cc_handle,(char *) D, 2);
  *Q=(QX&0x0001);
  *X=(QX&0x0002)>1;
}

void camo24(int N, int A, int F, int *D, int *Q, int *X)
{
  int arg, QX;
  int ierr,cmd;
  
  arg  = NAFGEN(N,A,F);
  
  ierr = ioctl (cc_handle, CCWRITE24, (unsigned long) arg);
  arg=*D;
  QX = write (cc_handle,(char *) D, 4);
  *Q=(QX&0x0001);
  *X=(QX&0x0002)>1;
}

int mcami16(int N, int A, int F, short *Dvec, int size,int *Q, int *X)
{
  int arg, QX;
  int ierr,cmd,n;
  
  arg  = NAFGEN(N,A,F)|0x8000;
  
/*  ierr = ioctl (cc_handle, CCREADV16, (unsigned long) arg);*/
  ierr = ioctl (cc_handle, CCREADEVNT, (unsigned long) arg);
  QX = read (cc_handle, (char *)Dvec, size);
  if (QX==-1)return QX;
  *Q=(QX&0x0001);
  *X=(QX&0x0002)>>1;
  return (QX>>2);
}
int evread16(unsigned int *Dvec, unsigned int *Instr, int size)
{
  int arg, nev;
  int ierr,cmd,n;
  unsigned int buff[1024];
  
  arg=0;
  for(n=0;n<size;n++)buff[n]=Instr[n];
  ierr = ioctl (cc_handle, CCREADEVNT, (unsigned long) arg);
  nev = read (cc_handle, (char *)buff, (size<<2));
  printf(" size, nev %d %d \n",size,nev);
  for(n=0;n<nev;n++)Dvec[n]=buff[n];
  return nev;
}
